# TextBoxType

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Specifies the type of \<input> element to display.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum TextBoxType : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum TextBoxType As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name              | Description                                                                                                                         |
| ----------------- | ----------------------------------------------------------------------------------------------------------------------------------- |
| **Button**        | Defines a push button with no default behavior.                                                                                     |
| **Checkbox**      | Defines a check box allowing single values to be selected/deselected.                                                               |
| **Color**         | Defines a color picker.                                                                                                             |
| **Date**          | Defines a date control (year, month and day - no time).                                                                             |
| **DatetimeLocal** | Defines a date and time control (year, month, day, hour, minute, second, and fraction of a second (no time zone).                   |
| **Email**         | Defines a field for an e-mail address.                                                                                              |
| **Month**         | Defines a month and year control (no time zone).                                                                                    |
| **Number**        | Defines a field for entering a number.                                                                                              |
| **Password**      | Defines a password field (characters are masked).                                                                                   |
| **Radio**         | Defines a radio button, allowing a single value to be selected out of multiple choices.                                             |
| **Range**         | Defines a control for entering a number whose exact value is not important (like a slider control). Default range is from 0 to 100. |
| **Search**        | Defines a text field for entering a search string.                                                                                  |
| **Tel**           | Defines a field for entering a telephone number.                                                                                    |
| **Text**          | Default. Defines a single-line text field (default width is 20 characters).                                                         |
| **Time**          | Defines a control for entering a time (no time zone).                                                                               |
| **Url**           | Defines a field for entering a URL.                                                                                                 |
| **Week**          | Defines a week and year control (no time zone).                                                                                     |

## Used By

| Name                                                                                                                  | Description                                                                                                     |
| --------------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------- |
| [InputType.Type](/api/wisej.web/editors/wisej.web.inputtype.md#type)                                                  | Specifies the type of \<input> element to display. See <https://www.w3schools.com/tags/att\\_input\\_type.asp>. |
| [TextBoxExtensions.Type](/api/wisej.web.markup/extensions/wisej.web.markup.textboxextensions.md#type-inputtype-value) | Sets the type of the input element.                                                                             |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/editors/wisej.web.textboxtype.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
